### Method

# Fwupd Client connect

since: 0.7.1

#### Declaration [src]

    gboolean
    fwupd_client_connect (
      FwupdClient* self,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Sets up the client ready for use. Most other methods call this for you, and do you only need to call this if you are just watching the client.

Available since: 0.7.1

This method is not directly available to language bindings.

#### Parameters

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` for success.